# Request Digital LOA Digital Letter of Authorization (LOA) enables convenient ordering of services that require third-party authorization. It minimizes the engagement from both A-side and Z-side when processing orders for interconnection services such as Cross Connect. This document is for a-side partners requesting a Digital LOA. If you are an z-side partner creating a Digital LOA, see [Request a Digital Letter of Authorization](https://docs.equinix.com/cross-connect/cross-connect-api/createdigitalloa.md). ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. Get Possible Z-side Partners. Use the [Get Possible Connections](https://docs.equinix.com/api-catalog/diloav1/marketplace-organizations/findorganizations.md) endpoint to retrieve the list of potential Z-side partners present in a given IBX data center. ## Creating a Request - Known Z-side Partner[​](#creating-a-request---known-z-side-partner "Direct link to Creating a Request - Known Z-side Partner") To create a request, send a `POST` request to the [`/diloa/v1/digitalLoas/loaRequest`](https://docs.equinix.com/api-catalog/diloav1/loarequests/createrequest.md) endpoint. If the z-side partner you want to request this Digital LOA document from is listed in the response to a GET request to the [Get Possible Connections](https://docs.equinix.com/api-catalog/diloav1/marketplace-organizations/findorganizations.md) endpoint, set the `provider.type` parameter to `CUSTOMER_ORGANIZATION`, and provide their details. | `POST /diloa/v1/digitalLoas/loaRequests`[View the API Reference](https://docs.equinix.com/api-catalog/diloav1.md#tag/LoaRequests/operation/Create%20Digital%20LOA%20Request) | | | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | | | | Method | `POST` | | URL or End Point | `/diloa/v1/digitalLoas/loaRequests` | | Headers | `Content-Type` | | Query Parameters | Not applicable | | Body Parameters | `ibx`, `requestedNumber`, `requestor {contacts [{type, registeredUser, firstName, lastName, timezone, availability, details [{notes, value, type}]}]}`, `provider {type}`, `notes` | Sample cURL request: ``` curl -X POST "https://api.equinix.com/diloa/v1/digitalLoas/loaRequest" -H "content-type: application/json" -H "Authorization: Bearer " -d '{     "ibx": "CH1",     "requestedNumber": 2,     "requestor": {         "contacts": [             {                 "type": "NOTIFICATION",                 "registeredUser": "Registered",                 "firstName": "John",                 "lastName": "Smith",                 "timezone": "Australia/Perth",                 "availability": "ANYTIME",                 "details": [                     {                         "note": "new email address",                         "value": "kyle@mail.com",                         "type": "EMAIL"                     }                 ]             }         ]     },     "provider": {         "type": "CUSTOMER_ORGANIZATION",         "orgIds": [             "123456"         ],         "name": "Michael Scott Paper Company",         "contacts": [             {                 "type": "NOTIFICATION",                 "registeredUser": "Registered",                 "firstName": "John",                 "lastName": "Smith",                 "timezone": "Australia/Perth",                 "availability": "ANYTIME",                 "details": [                     {                         "note": "new email address",                         "value": "kyle@mail.com",                         "type": "EMAIL"                     }                 ]             }         ]     },     "notes": "No additional notes" }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/diloav1/loarequests/createrequest.md). ## Creating a Request - New Z-side Partner[​](#creating-a-request---new-z-side-partner "Direct link to Creating a Request - New Z-side Partner") To create a request, send a `POST` request to the [`/diloa/v1/digitalLoas/loaRequest`](https://docs.equinix.com/api-catalog/diloav1/loarequests/createrequest.md) endpoint. Since the z-side partner you want to issue this Digital LOA document to isn't listed in the response to a GET request to the [Get Possible Connections](https://docs.equinix.com/api-catalog/diloav1/marketplace-organizations/findorganizations.md) endpoint, set the `provider.type` parameter to `NEW_RELATIONSHIP`. Also provide their contact information. Sample cURL request: ``` curl -X POST "https://api.equinix.com/diloa/v1/digitalLoas/loaRequest" -H "content-type: application/json" -H "Authorization: Bearer " -d '{     "ibx": "CH1",     "requestedNumber": 2,     "requestor": {         "contacts": [             {                 "type": "NOTIFICATION",                 "registeredUser": "Registered",                 "firstName": "John",                 "lastName": "Smith",                 "timezone": "Australia/Perth",                 "availability": "ANYTIME",                 "details": [                     {                         "note": "new email address",                         "value": "kyle@mail.com",                         "type": "EMAIL"                     }                 ]             }         ]     },     "provider": {         "type": "NEW_RELATIONSHIP",         "email": "mike@mspc.us",         "name": "Michael Scott Paper Company"     },     "notes": "No additional notes" }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/diloav1/loarequests/createrequest.md).